package com.om.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.bind.DefaultValue;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class AdminAddDTO implements Serializable {

    @ApiModelProperty(value = "管理员ID")
    private Integer id;

    @ApiModelProperty(value = "管理员用户名")
    private String username;

    @ApiModelProperty(value = "管理员密码")
    private String password;

    @ApiModelProperty(value = "管理员真实姓名")
    private String realName;

    @ApiModelProperty(value = "管理员电子邮件")
    private String email;

    @ApiModelProperty(value = "管理员电话号码")
    private String tel;

    @ApiModelProperty(value = "是否启用管理员账户")
    private Boolean enabled = true;

    @ApiModelProperty(value = "管理员账户创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "管理员账户更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "管理员权限")
    private String authority;

    @ApiModelProperty(value = "管理员认证信息")
    private String auths;

    @ApiModelProperty(value = "token")
    private String loginToken;

}
