package com.om.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class DiagnoseLogVehicleInfo {
    @ApiModelProperty(value = "激活路径")
    private String activePath;
    @ApiModelProperty(value = "品牌")
    private String brand;

    @ApiModelProperty(value = "客户端ID")
    private String clientName;

    @ApiModelProperty(value = "国家")
    private String country;

    @ApiModelProperty(value = "Sn编码")
    private String vciSn;

    @ApiModelProperty(value = "日期文件夹名称")
    private String nameDateDir;

    @ApiModelProperty(value = "诊断日志文件名")
    private String nameLog;

    @ApiModelProperty(value = "诊断日志保存时间")
    private String nameTimePoint;

    @ApiModelProperty(value = "记录时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime recordTime;

    @ApiModelProperty(value = "保存路径")
    private String savePath;

    @ApiModelProperty(value = "车型ID")
    private String vehicleId;

    @ApiModelProperty(value = "车型")
    private String vehicle;

    @ApiModelProperty(value = "车辆识别代码")
    private String vin;

    @ApiModelProperty(value = "控制器信息")
    private String controllerInformation;
}
