package com.om.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 软件应用表
 * </p>
 *
 * @author henry-ong
 * @since 2024-03-12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AppsAddVO implements Serializable {
      @ApiModelProperty("版本号")
      private String version;

      @ApiModelProperty("文件名")
      @TableField(value="fileName")
      private String fileName;

      @ApiModelProperty("文件大小")
      @TableField(value="fileSize")
      private String fileSize;

      @ApiModelProperty("文件链接")
      @TableField(value="savePath")
      private String savePath;

      @ApiModelProperty("上传时间")
      @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
      @TableField(value="createTime")
      private LocalDateTime createTime;

      @ApiModelProperty("最近修改时间")
      @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
      @TableField(value="updateTime")
      private LocalDateTime updateTime;

      @ApiModelProperty("上传人")
      @TableField(value="uploadBy")
      private String uploadBy;

      @ApiModelProperty("状态，0-表示下架，1表示正常")
      private String status;

      @ApiModelProperty("类型，0-表示普通升级，1表示强制升级")
      @TableField(value="uType")
      private String uType;

      @ApiModelProperty("语言")
      private String[] languages;

      @ApiModelProperty("描述")
      private String[] descriptions;

      @ApiModelProperty("客户端编号")
      private String[] numbers;
}
