package com.om.interceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;

@Component
public class AppRequestInterceptor implements HandlerInterceptor {

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        if (request.getRequestURI().startsWith("/app") && !request.isSecure()) {
            String redirectUrl = "https://" + request.getServerName() + ":8444" + request.getRequestURI();
            response.sendRedirect(redirectUrl);
            return false;
        }
        return true;
    }
}
